package com.yunyan.business.service;

import java.util.List;
import com.yunyan.business.domain.Term;
import com.baomidou.mybatisplus.extension.service.IService;

import com.yunyan.common.core.domain.AjaxResultVo;

/**
 * 名词管理Service接口
 *
 * @author yunyan
 * @date 2023-07-27
 */
public interface ITermService extends IService<Term>
{

    /**
     * 查询名词管理列表
     *
     * @param term 名词管理
     * @return 名词管理集合
     */
    public List<Term> selectTermList(Term term);

    /**
    * 新增
    * @param
    * @return
    */
    AjaxResultVo add(Term dto);

    /**
     * 编辑
     * @param
     * @return
     */
    AjaxResultVo edit(Term dto);

    /**
     * 详情
     * @param id
     * @return
     */
    AjaxResultVo info(Long id);

}
